# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# /var/folders/c_/qfmhj66j0tn016nkx_th4hxm0000gp/T/abs_4f8frhozqf/clone/recipe, last modified Tue Jul  9 11:02:55 2024
# ------------------------------------------------

package:
  name: numba
  version: 0.60.0
source:
  patches:
    - patches/fix_numpy.patch
  sha256: 5df6158e5584eece5fc83294b949fd30b9f1125df7708862205217e068aabf16
  url: https://pypi.io/packages/source/n/numba/numba-0.60.0.tar.gz
build:
  entry_points:
    - numba = numba.misc.numba_entry:main
  ignore_run_exports:
    - libllvm14 >=14.0.6,<14.1.0a0
  number: '0'
  script:
    - /var/folders/c_/qfmhj66j0tn016nkx_th4hxm0000gp/T/abs_4f8frhozqf/croot/numba_1720540983760/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
      -m pip install . --no-deps  --no-build-isolation --ignore-installed -vv
  string: py310h6d0c2b6_0
requirements:
  build:
    - cctools_osx-64 949.0.1 hc7db93f_25
    - clang 14.0.6 hecd8cb5_1
    - clang-14 14.0.6 default_hd95374b_1
    - clang_osx-64 14.0.6 hb1e4b1b_0
    - clangxx 14.0.6 default_hd95374b_1
    - clangxx_osx-64 14.0.6 hd8b9576_0
    - compiler-rt 14.0.6 hda8b6b8_0
    - compiler-rt_osx-64 14.0.6 h8d5cb93_0
    - ld64_osx-64 530 h70f3046_25
    - ldid 2.1.5 hc58f1be_3
    - libclang-cpp14 14.0.6 default_hd95374b_1
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.4 hecd8cb5_1
    - libllvm14 14.0.6 h91fad77_3
    - llvm-openmp 14.0.6 h0dcd299_0
    - llvm-tools 14.0.6 he0576d7_3
    - patch 2.7.6 h1de35cc_1001
    - tapi 1000.10.8 ha1b3eb9_0
    - zlib 1.2.13 h4b97444_1
  host:
    - blas 1.0 mkl
    - bzip2 1.0.8 h6c40b1e_6
    - ca-certificates 2024.3.11 hecd8cb5_0
    - intel-openmp 2023.1.0 ha357a0b_43548
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.4 hecd8cb5_1
    - libllvm14 14.0.6 h91fad77_3
    - llvm-openmp 14.0.6 h0dcd299_0
    - llvmlite 0.43.0 py310h6d0c2b6_0
    - mkl 2023.1.0 h8e150cf_43560
    - mkl-service 2.4.0 py310h6c40b1e_1
    - mkl_fft 1.3.8 py310h6c40b1e_0
    - mkl_random 1.2.4 py310ha357a0b_0
    - ncurses 6.4 hcec6c5f_0
    - numpy 1.22.3 py310h827a554_2
    - numpy-base 1.22.3 py310ha186be2_2
    - openssl 3.0.14 h46256e1_0
    - pip 24.0 py310hecd8cb5_0
    - python 3.10.14 h5ee71fb_1
    - readline 8.2 hca72f7f_0
    - setuptools 69.5.1 py310hecd8cb5_0
    - sqlite 3.45.3 h6c40b1e_0
    - tbb 2021.8.0 ha357a0b_0
    - tbb-devel 2021.8.0 ha357a0b_0
    - tk 8.6.14 h4d00af3_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.43.0 py310hecd8cb5_0
    - xz 5.4.6 h6c40b1e_1
    - zlib 1.2.13 h4b97444_1
  run:
    - libcxx >=14.0.6
    - llvm-openmp >=14.0.6
    - llvmlite >=0.43.0,<0.44.0a0
    - numpy >=1.22.3,<1.27
    - python >=3.10,<3.11.0a0
    - tbb >=2021.8.0
  run_constrained:
    - cuda-python >=11.6
    - cuda-version >=11.2
    - cudatoolkit >=11.2
    - libopenblas !=0.3.6
    - scipy >=1.0
    - tbb >=2021.6,<2022
test:
  imports:
    - numba
    - numba.core.annotations
    - numba.core.datamodel
    - numba.core.rewrites
    - numba.core.runtime
    - numba.core.typeconv
    - numba.core.typing
    - numba.core.unsafe
    - numba.cuda
    - numba.cuda.cudadrv
    - numba.cuda.kernels
    - numba.cuda.simulator
    - numba.cuda.simulator.cudadrv
    - numba.cuda.tests
    - numba.cuda.tests.cudadrv
    - numba.cuda.tests.cudapy
    - numba.cuda.tests.cudasim
    - numba.cuda.tests.data
    - numba.cuda.tests.nocuda
    - numba.experimental.jitclass
    - numba.np.ufunc
    - numba.pycc
    - numba.scripts
    - numba.testing
    - numba.tests
    - numba.tests.npyufunc
  requires:
    - cffi
    - clang_osx-64 14.*
    - clangxx_osx-64 14.*
    - ipykernel
    - ipython
    - jinja2
    - pexpect
    - pip
    - pygments
    - scipy
    - setuptools
    - tbb >=2021.6,<2022
    - wheel
about:
  description: 'Numba is an Open Source NumPy-aware optimizing compiler for Python

    sponsored by Anaconda, Inc. It uses the remarkable LLVM compiler

    infrastructure to compile Python syntax to machine code."

    '
  dev_url: https://github.com/numba/numba
  doc_url: https://numba.readthedocs.io/
  home: https://numba.pydata.org
  license: BSD-2-Clause
  license_family: BSD
  license_file: LICENSE
  summary: NumPy aware dynamic Python compiler using LLVM
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 4f68b176-bc5c-4ae0-b2f9-7fc047ba2b71
  recipe-maintainers:
    - henryiii
    - jakirkham
    - marcelotrevisani
    - mbargull
    - souravsingh
    - step21
  remote_url: git@github.com:AnacondaRecipes/numba-feedstock.git
  sha: d3de31061ec2ae6f633f4131fbe73e549e9966b9
